use actix_web::{get, web, Responder, http::header::ContentType, HttpResponse};

use crate::{DbPool, request::{error::ApiError, responses::GameNightResponse}, schema::{self, user::User}};

#[get("/gamenights")]
pub async fn gamenights(pool: web::Data<DbPool>, _user: User) -> Result<impl Responder, ApiError> {
    let mut conn = pool.get().expect("couldn't get db connection from pool");
    let gamenights = schema::gamenights(&mut conn)?;

    Ok(HttpResponse::Ok()
        .content_type(ContentType::json())
        .body(serde_json::to_string(&GameNightResponse { gamenights })?)
    )
}